> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Charge Tokenized Card



## OpenAPI

````yaml post /api/v1/tokenized-card-charge
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/tokenized-card-charge:
    post:
      tags:
        - Collection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenizedChargeRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/TokenizedChargeRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TokenizedChargeRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    TokenizedChargeRequest:
      required:
        - amount
        - email
        - reference
        - token
      type: object
      properties:
        token:
          minLength: 1
          type: string
        currency:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        email:
          minLength: 1
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        reference:
          minLength: 1
          type: string
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````